Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::texture_transform_node Class Reference
[Nodes]

Inheritance diagram for openvrml::texture_transform_node:

[legend]
List of all members.

## Detailed Description

Abstract base class for texture transform nodes.

## Public Member Functions
virtual | ~texture_transform_node ()=0 throw ()
| Destructor.
void | render_texture_transform (viewer &v)
| Render the texture transform.
## Protected Member Functions
| texture_transform_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.
## Private Member Functions
virtual texture_transform_node * | to_texture_transform () throw ()
| Cast to a texture_transform_node.
virtual void | do_render_texture_transform (viewer &v)
| Render the texture transform.

## Constructor & Destructor Documentation

openvrml::texture_transform_node::~texture_transform_node | ( |  | ) | throw ()`[pure virtual]`

| Destructor. Implemented in openvrml::vrml97_node::texture_transform_node.

openvrml::texture_transform_node::texture_transform_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) | throw ()`[protected]`

  | Construct. Parameters:
  | type | the node_type associated with the node.
  | scope | the Scope the node belongs to.
Reimplemented in openvrml::vrml97_node::texture_transform_node.

## Member Function Documentation

void openvrml::texture_transform_node::render_texture_transform | ( | viewer & | v | ) |

  | Render the texture transform. Parameters:
  | v | viewer.

texture_transform_node * openvrml::texture_transform_node::to_texture_transform | ( |  | ) | throw ()`[private, virtual]`

| Cast to a texture_transform_node. Returns: a pointer to this texture_transform_node. Reimplemented from openvrml::node.

void openvrml::texture_transform_node::do_render_texture_transform | ( | viewer & | v | ) | `[private, virtual]`

  | Render the texture transform. Parameters:
  | v | viewer.
Reimplemented in openvrml::vrml97_node::texture_transform_node.